<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all class members with links to the classes they belong to:</div>

<h3><a id="index_k"></a>- k -</h3><ul>
<li>key
: <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_observer_interface_1_1_tag_key_value_type.html#a874156c3c9a3933587c1060f843d81f0">alexaClientSDK::avsCommon::utils::mediaPlayer::MediaPlayerObserverInterface::TagKeyValueType</a>
</li>
<li>key1
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#a7ff6a83622c690df9327c1623c552a5e">alexaClientSDK::avsCommon::test::MIMEParserTest</a>
</li>
<li>key2
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#a9ab72b9794089443ad201172b06b52ba">alexaClientSDK::avsCommon::test::MIMEParserTest</a>
</li>
<li>key3
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#afd8c46ae59258c03b69facb5bc092088">alexaClientSDK::avsCommon::test::MIMEParserTest</a>
</li>
<li>key4
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#abb2d0d65716c6f741bc35ef4f1f9dae5">alexaClientSDK::avsCommon::test::MIMEParserTest</a>
</li>
<li>key5
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#a2db60929fadfce737e4fe8e3b9dd8202">alexaClientSDK::avsCommon::test::MIMEParserTest</a>
</li>
<li>KeyType
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface.html#a8dba8c0444a0cc2aaed5b8353c513eea">alexaClientSDK::avsCommon::sdkInterfaces::storage::MiscStorageInterface</a>
</li>
<li>keyURL
: <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_encryption_info.html#a594682fcb80aa21a81475cfc5ed75d8b">alexaClientSDK::avsCommon::utils::playlistParser::EncryptionInfo</a>
</li>
<li>keyword
: <a class="el" href="structalexa_client_s_d_k_1_1kwd_1_1_kitt_ai_key_word_detector_1_1_kitt_ai_configuration.html#a6e9d8b4a9bf070a616b16da3aec6f030">alexaClientSDK::kwd::KittAiKeyWordDetector::KittAiConfiguration</a>
, <a class="el" href="structalexa_client_s_d_k_1_1kwd_1_1test_1_1test_key_word_observer_1_1detection_result.html#a4f731887fdec238ab884fd2391995c8a">alexaClientSDK::kwd::test::testKeyWordObserver::detectionResult</a>
</li>
<li>KEYWORD_TEXT_STOP
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#a8973f2cd1805aa3c75a2a672c80c8fb9">alexaClientSDK::capabilityAgents::aip::AudioInputProcessor</a>
</li>
<li>KeyWordDetectorState
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_key_word_detector_state_observer_interface.html#a21803055867165b26a00c12c65aa04b9">alexaClientSDK::avsCommon::sdkInterfaces::KeyWordDetectorStateObserverInterface</a>
</li>
<li>KeywordObserver()
: <a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_keyword_observer.html#a0acdbc01e0beeb177e81e7af2fe7cf58">alexaClientSDK::sampleApp::KeywordObserver</a>
</li>
<li>keyWordObserver1
: <a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1test_1_1_abstract_key_word_detector_test.html#a573b2fe33409a7f19cfe5766ee80c66b">alexaClientSDK::kwd::test::AbstractKeyWordDetectorTest</a>
, <a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1test_1_1_kitt_ai_key_word_test.html#a023907ce42bd850875298fa66743f8f4">alexaClientSDK::kwd::test::KittAiKeyWordTest</a>
, <a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1test_1_1_sensory_keyword_test.html#a7cee9d968d9db2b265c7616759f3a3d8">alexaClientSDK::kwd::test::SensoryKeywordTest</a>
</li>
<li>keyWordObserver2
: <a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1test_1_1_abstract_key_word_detector_test.html#a8b07942cf2cca36b5e227d98af5ccc3e">alexaClientSDK::kwd::test::AbstractKeyWordDetectorTest</a>
, <a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1test_1_1_kitt_ai_key_word_test.html#a26f914f4f42b0d8f7955ad45db861e54">alexaClientSDK::kwd::test::KittAiKeyWordTest</a>
, <a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1test_1_1_sensory_keyword_test.html#a8cbb74eb3c440e0f5ec1db5767dbc067">alexaClientSDK::kwd::test::SensoryKeywordTest</a>
</li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
